Index: uspace/srv/net/tcp/service.c
===================================================================
--- uspace/srv/net/tcp/service.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/service.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,4 @@
 #include <async.h>
 #include <errno.h>
-#include <str_error.h>
 #include <inet/endpoint.h>
 #include <inet/inet.h>
@@ -68,5 +67,5 @@
 static void tcp_service_lst_cstate_change(tcp_conn_t *, void *, tcp_cstate_t);
 
-static errno_t tcp_cconn_create(tcp_client_t *, tcp_conn_t *, tcp_cconn_t **);
+static int tcp_cconn_create(tcp_client_t *, tcp_conn_t *, tcp_cconn_t **);
 
 /** Connection callbacks to tie us to lower layer */
@@ -132,5 +131,5 @@
 	tcp_cconn_t *cconn;
 	inet_ep2_t epp;
-	errno_t rc;
+	int rc;
 	tcp_error_t trc;
 
@@ -298,5 +297,5 @@
  * @return EOK on success or ENOMEM if out of memory
  */
-static errno_t tcp_cconn_create(tcp_client_t *client, tcp_conn_t *conn,
+static int tcp_cconn_create(tcp_client_t *client, tcp_conn_t *conn,
     tcp_cconn_t **rcconn)
 {
@@ -345,5 +344,5 @@
  * @return EOK on success or ENOMEM if out of memory
  */
-static errno_t tcp_clistener_create(tcp_client_t *client, tcp_conn_t *conn,
+static int tcp_clistener_create(tcp_client_t *client, tcp_conn_t *conn,
     tcp_clst_t **rclst)
 {
@@ -390,5 +389,5 @@
  *         is found.
  */
-static errno_t tcp_cconn_get(tcp_client_t *client, sysarg_t id,
+static int tcp_cconn_get(tcp_client_t *client, sysarg_t id,
     tcp_cconn_t **rcconn)
 {
@@ -412,5 +411,5 @@
  *         is found.
  */
-static errno_t tcp_clistener_get(tcp_client_t *client, sysarg_t id,
+static int tcp_clistener_get(tcp_client_t *client, sysarg_t id,
     tcp_clst_t **rclst)
 {
@@ -433,12 +432,12 @@
  * @param rconn_id Place to store ID of new connection
  *
- * @return EOK on success or an error code
- */
-static errno_t tcp_conn_create_impl(tcp_client_t *client, inet_ep2_t *epp,
+ * @return EOK on success or negative error code
+ */
+static int tcp_conn_create_impl(tcp_client_t *client, inet_ep2_t *epp,
     sysarg_t *rconn_id)
 {
 	tcp_conn_t *conn;
 	tcp_cconn_t *cconn;
-	errno_t rc;
+	int rc;
 	tcp_error_t trc;
 	char *slocal;
@@ -482,8 +481,8 @@
  * @return EOK on success, ENOENT if no such connection is found
  */
-static errno_t tcp_conn_destroy_impl(tcp_client_t *client, sysarg_t conn_id)
+static int tcp_conn_destroy_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	errno_t rc;
+	int rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -507,7 +506,7 @@
  * @param rlst_id Place to store ID of new listener
  *
- * @return EOK on success or an error code
+ * @return EOK on success or negative error code
 */
-static errno_t tcp_listener_create_impl(tcp_client_t *client, inet_ep_t *ep,
+static int tcp_listener_create_impl(tcp_client_t *client, inet_ep_t *ep,
     sysarg_t *rlst_id)
 {
@@ -515,5 +514,5 @@
 	tcp_clst_t *clst;
 	inet_ep2_t epp;
-	errno_t rc;
+	int rc;
 	tcp_error_t trc;
 
@@ -555,8 +554,8 @@
  * @return EOK on success, ENOENT if no such listener is found
  */
-static errno_t tcp_listener_destroy_impl(tcp_client_t *client, sysarg_t lst_id)
+static int tcp_listener_destroy_impl(tcp_client_t *client, sysarg_t lst_id)
 {
 	tcp_clst_t *clst;
-	errno_t rc;
+	int rc;
 
 	rc = tcp_clistener_get(client, lst_id, &clst);
@@ -578,10 +577,10 @@
  * @param conn_id Connection ID
  *
- * @return EOK on success or an error code
- */
-static errno_t tcp_conn_send_fin_impl(tcp_client_t *client, sysarg_t conn_id)
+ * @return EOK on success or negative error code
+ */
+static int tcp_conn_send_fin_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	errno_t rc;
+	int rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -603,10 +602,10 @@
  * @param conn_id Connection ID
  *
- * @return EOK on success or an error code
- */
-static errno_t tcp_conn_push_impl(tcp_client_t *client, sysarg_t conn_id)
+ * @return EOK on success or negative error code
+ */
+static int tcp_conn_push_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	errno_t rc;
+	int rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -628,10 +627,10 @@
  * @param conn_id Connection ID
  *
- * @return EOK on success or an error code
- */
-static errno_t tcp_conn_reset_impl(tcp_client_t *client, sysarg_t conn_id)
+ * @return EOK on success or negative error code
+ */
+static int tcp_conn_reset_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	errno_t rc;
+	int rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -654,12 +653,11 @@
  * @param size    Data size in bytes
  *
- * @return EOK on success or an error code
- */
-static errno_t tcp_conn_send_impl(tcp_client_t *client, sysarg_t conn_id,
+ * @return EOK on success or negative error code
+ */
+static int tcp_conn_send_impl(tcp_client_t *client, sysarg_t conn_id,
     void *data, size_t size)
 {
 	tcp_cconn_t *cconn;
-	errno_t rc;
-	tcp_error_t trc;
+	int rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -667,7 +665,7 @@
 		return rc;
 
-	trc = tcp_uc_send(cconn->conn, data, size, 0);
-	if (trc != TCP_EOK)
-		return EIO;
+	rc = tcp_uc_send(cconn->conn, data, size, 0);
+	if (rc != EOK)
+		return rc;
 
 	return EOK;
@@ -684,13 +682,12 @@
  * @param nrecv   Place to store actual number of bytes received
  *
- * @return EOK on success or an error code
- */
-static errno_t tcp_conn_recv_impl(tcp_client_t *client, sysarg_t conn_id,
+ * @return EOK on success or negative error code
+ */
+static int tcp_conn_recv_impl(tcp_client_t *client, sysarg_t conn_id,
     void *data, size_t size, size_t *nrecv)
 {
 	tcp_cconn_t *cconn;
 	xflags_t xflags;
-	errno_t rc;
-	tcp_error_t trc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_impl()");
@@ -702,7 +699,7 @@
 	}
 
-	trc = tcp_uc_receive(cconn->conn, data, size, nrecv, &xflags);
-	if (trc != TCP_EOK) {
-		switch (trc) {
+	rc = tcp_uc_receive(cconn->conn, data, size, nrecv, &xflags);
+	if (rc != EOK) {
+		switch (rc) {
 		case TCP_EAGAIN:
 			log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_impl() - EAGAIN");
@@ -712,5 +709,5 @@
 			return EOK;
 		default:
-			log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_impl() - trc=%d", trc);
+			log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_impl() - trc=%d", rc);
 			return EIO;
 		}
@@ -758,5 +755,5 @@
 	inet_ep2_t epp;
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_create_srv()");
@@ -802,5 +799,5 @@
 {
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_destroy_srv()");
@@ -826,5 +823,5 @@
 	inet_ep_t ep;
 	sysarg_t lst_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_listener_create_srv()");
@@ -870,5 +867,5 @@
 {
 	sysarg_t lst_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_listener_destroy_srv()");
@@ -891,5 +888,5 @@
 {
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_send_fin_srv()");
@@ -912,5 +909,5 @@
 {
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_push_srv()");
@@ -933,5 +930,5 @@
 {
 	sysarg_t conn_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_reset_srv()");
@@ -957,5 +954,5 @@
 	sysarg_t conn_id;
 	void *data;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_send_srv())");
@@ -1018,5 +1015,5 @@
 	size_t size, rsize;
 	void *data;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_srv()");
@@ -1074,5 +1071,5 @@
 	size_t size, rsize;
 	void *data;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv()");
@@ -1098,5 +1095,5 @@
 	rc = tcp_conn_recv_impl(client, conn_id, data, size, &rsize);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv - recv_impl failed rc=%s", str_error_name(rc));
+		log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv - recv_impl failed rc=%d", rc);
 		async_answer_0(callid, rc);
 		async_answer_0(iid, rc);
@@ -1244,9 +1241,9 @@
 /** Initialize TCP service.
  *
- * @return EOK on success or an error code.
- */
-errno_t tcp_service_init(void)
-{
-	errno_t rc;
+ * @return EOK on success or negative error code.
+ */
+int tcp_service_init(void)
+{
+	int rc;
 	service_id_t sid;
 
Index: uspace/srv/net/tcp/service.h
===================================================================
--- uspace/srv/net/tcp/service.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/service.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,5 @@
 #define SERVICE_H
 
-extern errno_t tcp_service_init(void);
+extern int tcp_service_init(void);
 
 #endif
Index: uspace/srv/net/tcp/tcp.c
===================================================================
--- uspace/srv/net/tcp/tcp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/tcp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,7 +55,7 @@
 };
 
-static errno_t tcp_init(void)
+static int tcp_init(void)
 {
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_init()");
@@ -91,5 +91,5 @@
 int main(int argc, char **argv)
 {
-	errno_t rc;
+	int rc;
 
 	printf(NAME ": TCP (Transmission Control Protocol) network module\n");
Index: uspace/srv/net/tcp/test.c
===================================================================
--- uspace/srv/net/tcp/test.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 #define RCV_BUF_SIZE 64
 
-static errno_t test_srv(void *arg)
+static int test_srv(void *arg)
 {
 	tcp_conn_t *conn;
@@ -91,5 +91,5 @@
 }
 
-static errno_t test_cli(void *arg)
+static int test_cli(void *arg)
 {
 	tcp_conn_t *conn;
Index: uspace/srv/net/tcp/test/conn.c
===================================================================
--- uspace/srv/net/tcp/test/conn.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/conn.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,5 +46,5 @@
 PCUT_TEST_BEFORE
 {
-	errno_t rc;
+	int rc;
 
 	/* We will be calling functions that perform logging */
@@ -89,5 +89,5 @@
 	tcp_conn_t *conn, *cfound;
 	inet_ep2_t epp;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
@@ -119,5 +119,5 @@
 	tcp_conn_t *conn;
 	inet_ep2_t epp;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
@@ -152,5 +152,5 @@
 	tcp_conn_t *cconn, *sconn;
 	inet_ep2_t cepp, sepp;
-	errno_t rc;
+	int rc;
 
 	/* Client EPP */
Index: uspace/srv/net/tcp/test/iqueue.c
===================================================================
--- uspace/srv/net/tcp/test/iqueue.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/iqueue.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,5 +45,5 @@
 	inet_ep2_t epp;
 	tcp_segment_t *rseg;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
@@ -71,5 +71,5 @@
 	void *data;
 	size_t dsize;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
@@ -117,5 +117,5 @@
 	void *data;
 	size_t dsize;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
Index: uspace/srv/net/tcp/test/main.c
===================================================================
--- uspace/srv/net/tcp/test/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2017 Jiri Svoboda
+ * Copyright (c) 2017 Jiri Svobda
  * All rights reserved.
  *
Index: uspace/srv/net/tcp/test/pdu.c
===================================================================
--- uspace/srv/net/tcp/test/pdu.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/pdu.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 	tcp_pdu_t *pdu;
 	inet_ep2_t epp, depp;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
@@ -78,5 +78,5 @@
 	uint8_t *data;
 	size_t i, dsize;
-	errno_t rc;
+	int rc;
 
 	inet_ep2_init(&epp);
Index: uspace/srv/net/tcp/test/rqueue.c
===================================================================
--- uspace/srv/net/tcp/test/rqueue.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/rqueue.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,9 +59,9 @@
 PCUT_TEST_BEFORE
 {
-	errno_t rc;
+	int rc;
 
 	/* We will be calling functions that perform logging */
 	rc = log_init("test-tcp");
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+	PCUT_ASSERT_INT_EQUALS(EOK, rc);
 }
 
Index: uspace/srv/net/tcp/test/tqueue.c
===================================================================
--- uspace/srv/net/tcp/test/tqueue.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/tqueue.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -53,5 +53,5 @@
 PCUT_TEST_BEFORE
 {
-	errno_t rc;
+	int rc;
 
 	/* We will be calling functions that perform logging */
Index: uspace/srv/net/tcp/test/ucall.c
===================================================================
--- uspace/srv/net/tcp/test/ucall.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/test/ucall.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,5 +60,5 @@
 PCUT_TEST_BEFORE
 {
-	errno_t rc;
+	int rc;
 
 	/* We will be calling functions that perform logging */
Index: uspace/srv/net/tcp/tqueue.c
===================================================================
--- uspace/srv/net/tcp/tqueue.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/tqueue.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -63,5 +63,5 @@
 static void tcp_tqueue_send_immed(tcp_conn_t *, tcp_segment_t *);
 
-errno_t tcp_tqueue_init(tcp_tqueue_t *tqueue, tcp_conn_t *conn,
+int tcp_tqueue_init(tcp_tqueue_t *tqueue, tcp_conn_t *conn,
     tcp_tqueue_cb_t *cb)
 {
Index: uspace/srv/net/tcp/tqueue.h
===================================================================
--- uspace/srv/net/tcp/tqueue.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/tqueue.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 #include "tcp_type.h"
 
-extern errno_t tcp_tqueue_init(tcp_tqueue_t *, tcp_conn_t *,
+extern int tcp_tqueue_init(tcp_tqueue_t *, tcp_conn_t *,
     tcp_tqueue_cb_t *);
 extern void tcp_tqueue_clear(tcp_tqueue_t *);
Index: uspace/srv/net/tcp/ucall.c
===================================================================
--- uspace/srv/net/tcp/ucall.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/ucall.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -69,5 +69,5 @@
 {
 	tcp_conn_t *nconn;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_uc_open(%p, %s, %s, %p)",
Index: uspace/srv/net/udp/assoc.c
===================================================================
--- uspace/srv/net/udp/assoc.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/assoc.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,10 +56,10 @@
 
 static udp_assoc_t *udp_assoc_find_ref(inet_ep2_t *);
-static errno_t udp_assoc_queue_msg(udp_assoc_t *, inet_ep2_t *, udp_msg_t *);
+static int udp_assoc_queue_msg(udp_assoc_t *, inet_ep2_t *, udp_msg_t *);
 
 /** Initialize associations. */
-errno_t udp_assocs_init(void)
-{
-	errno_t rc;
+int udp_assocs_init(void)
+{
+	int rc;
 
 	rc = amap_create(&amap);
@@ -182,8 +182,8 @@
  * Add association to the association map.
  */
-errno_t udp_assoc_add(udp_assoc_t *assoc)
+int udp_assoc_add(udp_assoc_t *assoc)
 {
 	inet_ep2_t aepp;
-	errno_t rc;
+	int rc;
 
 	udp_assoc_addref(assoc);
@@ -242,9 +242,9 @@
  *			EIO if no route to destination exists
  */
-errno_t udp_assoc_send(udp_assoc_t *assoc, inet_ep_t *remote, udp_msg_t *msg)
+int udp_assoc_send(udp_assoc_t *assoc, inet_ep_t *remote, udp_msg_t *msg)
 {
 	udp_pdu_t *pdu;
 	inet_ep2_t epp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_send(%p, %p, %p)",
@@ -302,5 +302,5 @@
  * Pull one message from the association's receive queue.
  */
-errno_t udp_assoc_recv(udp_assoc_t *assoc, udp_msg_t **msg, inet_ep_t *remote)
+int udp_assoc_recv(udp_assoc_t *assoc, udp_msg_t **msg, inet_ep_t *remote)
 {
 	link_t *link;
@@ -341,5 +341,5 @@
 {
 	udp_assoc_t *assoc;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_received(%p, %p)", repp, msg);
@@ -380,5 +380,5 @@
 }
 
-static errno_t udp_assoc_queue_msg(udp_assoc_t *assoc, inet_ep2_t *epp,
+static int udp_assoc_queue_msg(udp_assoc_t *assoc, inet_ep2_t *epp,
     udp_msg_t *msg)
 {
@@ -416,5 +416,5 @@
 static udp_assoc_t *udp_assoc_find_ref(inet_ep2_t *epp)
 {
-	errno_t rc;
+	int rc;
 	void *arg;
 	udp_assoc_t *assoc;
Index: uspace/srv/net/udp/assoc.h
===================================================================
--- uspace/srv/net/udp/assoc.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/assoc.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,14 +40,14 @@
 #include "udp_type.h"
 
-extern errno_t udp_assocs_init(void);
+extern int udp_assocs_init(void);
 extern udp_assoc_t *udp_assoc_new(inet_ep2_t *, udp_assoc_cb_t *, void *);
 extern void udp_assoc_delete(udp_assoc_t *);
-extern errno_t udp_assoc_add(udp_assoc_t *);
+extern int udp_assoc_add(udp_assoc_t *);
 extern void udp_assoc_remove(udp_assoc_t *);
 extern void udp_assoc_addref(udp_assoc_t *);
 extern void udp_assoc_delref(udp_assoc_t *);
 extern void udp_assoc_set_iplink(udp_assoc_t *, service_id_t);
-extern errno_t udp_assoc_send(udp_assoc_t *, inet_ep_t *, udp_msg_t *);
-extern errno_t udp_assoc_recv(udp_assoc_t *, udp_msg_t **, inet_ep_t *);
+extern int udp_assoc_send(udp_assoc_t *, inet_ep_t *, udp_msg_t *);
+extern int udp_assoc_recv(udp_assoc_t *, udp_msg_t **, inet_ep_t *);
 extern void udp_assoc_received(inet_ep2_t *, udp_msg_t *);
 extern void udp_assoc_reset(udp_assoc_t *);
Index: uspace/srv/net/udp/pdu.c
===================================================================
--- uspace/srv/net/udp/pdu.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/pdu.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -162,5 +162,5 @@
 
 /** Decode incoming PDU */
-errno_t udp_pdu_decode(udp_pdu_t *pdu, inet_ep2_t *epp, udp_msg_t **msg)
+int udp_pdu_decode(udp_pdu_t *pdu, inet_ep2_t *epp, udp_msg_t **msg)
 {
 	udp_msg_t *nmsg;
@@ -209,5 +209,5 @@
 
 /** Encode outgoing PDU */
-errno_t udp_pdu_encode(inet_ep2_t *epp, udp_msg_t *msg, udp_pdu_t **pdu)
+int udp_pdu_encode(inet_ep2_t *epp, udp_msg_t *msg, udp_pdu_t **pdu)
 {
 	udp_pdu_t *npdu;
Index: uspace/srv/net/udp/pdu.h
===================================================================
--- uspace/srv/net/udp/pdu.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/pdu.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,6 +42,6 @@
 extern udp_pdu_t *udp_pdu_new(void);
 extern void udp_pdu_delete(udp_pdu_t *);
-extern errno_t udp_pdu_decode(udp_pdu_t *, inet_ep2_t *, udp_msg_t **);
-extern errno_t udp_pdu_encode(inet_ep2_t *, udp_msg_t *, udp_pdu_t **);
+extern int udp_pdu_decode(udp_pdu_t *, inet_ep2_t *, udp_msg_t **);
+extern int udp_pdu_encode(inet_ep2_t *, udp_msg_t *, udp_pdu_t **);
 
 #endif
Index: uspace/srv/net/udp/service.c
===================================================================
--- uspace/srv/net/udp/service.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/service.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -70,5 +70,5 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static errno_t udp_cassoc_queue_msg(udp_cassoc_t *cassoc, inet_ep2_t *epp,
+static int udp_cassoc_queue_msg(udp_cassoc_t *cassoc, inet_ep2_t *epp,
     udp_msg_t *msg)
 {
@@ -123,5 +123,5 @@
  * @return EOK on soccess, ENOMEM if out of memory
  */
-static errno_t udp_cassoc_create(udp_client_t *client, udp_assoc_t *assoc,
+static int udp_cassoc_create(udp_client_t *client, udp_assoc_t *assoc,
     udp_cassoc_t **rcassoc)
 {
@@ -168,5 +168,5 @@
  *         is found.
  */
-static errno_t udp_cassoc_get(udp_client_t *client, sysarg_t id,
+static int udp_cassoc_get(udp_client_t *client, sysarg_t id,
     udp_cassoc_t **rcassoc)
 {
@@ -205,12 +205,12 @@
  * @param rassoc_id Place to store ID of new association
  *
- * @return EOK on success or an error code
- */
-static errno_t udp_assoc_create_impl(udp_client_t *client, inet_ep2_t *epp,
+ * @return EOK on success or negative error code
+ */
+static int udp_assoc_create_impl(udp_client_t *client, inet_ep2_t *epp,
     sysarg_t *rassoc_id)
 {
 	udp_assoc_t *assoc;
 	udp_cassoc_t *cassoc;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_create_impl");
@@ -252,8 +252,8 @@
  * @return EOK on success, ENOENT if no such association is found
  */
-static errno_t udp_assoc_destroy_impl(udp_client_t *client, sysarg_t assoc_id)
+static int udp_assoc_destroy_impl(udp_client_t *client, sysarg_t assoc_id)
 {
 	udp_cassoc_t *cassoc;
-	errno_t rc;
+	int rc;
 
 	rc = udp_cassoc_get(client, assoc_id, &cassoc);
@@ -278,8 +278,8 @@
  * @return EOK on success, ENOENT if no such association is found
  */
-static errno_t udp_assoc_set_nolocal_impl(udp_client_t *client, sysarg_t assoc_id)
+static int udp_assoc_set_nolocal_impl(udp_client_t *client, sysarg_t assoc_id)
 {
 	udp_cassoc_t *cassoc;
-	errno_t rc;
+	int rc;
 
 	rc = udp_cassoc_get(client, assoc_id, &cassoc);
@@ -305,12 +305,12 @@
  * @param size     Message size
  *
- * @return EOK on success or an error code
- */
-static errno_t udp_assoc_send_msg_impl(udp_client_t *client, sysarg_t assoc_id,
+ * @return EOK on success or negative error code
+ */
+static int udp_assoc_send_msg_impl(udp_client_t *client, sysarg_t assoc_id,
     inet_ep_t *dest, void *data, size_t size)
 {
 	udp_msg_t msg;
 	udp_cassoc_t *cassoc;
-	errno_t rc;
+	int rc;
 
 	rc = udp_cassoc_get(client, assoc_id, &cassoc);
@@ -365,5 +365,5 @@
 	inet_ep2_t epp;
 	sysarg_t assoc_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_create_srv()");
@@ -409,5 +409,5 @@
 {
 	sysarg_t assoc_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_destroy_srv()");
@@ -430,5 +430,5 @@
 {
 	sysarg_t assoc_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_NOTE, "udp_assoc_set_nolocal_srv()");
@@ -455,5 +455,5 @@
 	sysarg_t assoc_id;
 	void *data;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_assoc_send_msg_srv()");
@@ -552,5 +552,5 @@
 	udp_crcv_queue_entry_t *enext;
 	sysarg_t assoc_id;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_rmsg_info_srv()");
@@ -601,5 +601,5 @@
 	size_t size;
 	size_t off;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_rmsg_read_srv()");
@@ -750,9 +750,9 @@
 /** Initialize UDP service.
  *
- * @return EOK on success or an error code.
- */
-errno_t udp_service_init(void)
-{
-	errno_t rc;
+ * @return EOK on success or negative error code.
+ */
+int udp_service_init(void)
+{
+	int rc;
 	service_id_t sid;
 
Index: uspace/srv/net/udp/service.h
===================================================================
--- uspace/srv/net/udp/service.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/service.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,5 @@
 #define SERVICE_H
 
-extern errno_t udp_service_init(void);
+extern int udp_service_init(void);
 
 #endif
Index: uspace/srv/net/udp/udp.c
===================================================================
--- uspace/srv/net/udp/udp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/udp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,7 +47,7 @@
 #define NAME       "udp"
 
-static errno_t udp_init(void)
+static int udp_init(void)
 {
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_init()");
@@ -76,5 +76,5 @@
 int main(int argc, char **argv)
 {
-	errno_t rc;
+	int rc;
 
 	printf(NAME ": UDP (User Datagram Protocol) service\n");
Index: uspace/srv/net/udp/udp_inet.c
===================================================================
--- uspace/srv/net/udp/udp_inet.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/udp_inet.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,5 +45,5 @@
 #include "udp_type.h"
 
-static errno_t udp_inet_ev_recv(inet_dgram_t *dgram);
+static int udp_inet_ev_recv(inet_dgram_t *dgram);
 static void udp_received_pdu(udp_pdu_t *pdu);
 
@@ -53,5 +53,5 @@
 
 /** Received datagram callback */
-static errno_t udp_inet_ev_recv(inet_dgram_t *dgram)
+static int udp_inet_ev_recv(inet_dgram_t *dgram)
 {
 	udp_pdu_t *pdu;
@@ -77,7 +77,7 @@
 
 /** Transmit PDU over network layer. */
-errno_t udp_transmit_pdu(udp_pdu_t *pdu)
+int udp_transmit_pdu(udp_pdu_t *pdu)
 {
-	errno_t rc;
+	int rc;
 	inet_dgram_t dgram;
 
@@ -119,7 +119,7 @@
 }
 
-errno_t udp_inet_init(void)
+int udp_inet_init(void)
 {
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "udp_inet_init()");
Index: uspace/srv/net/udp/udp_inet.h
===================================================================
--- uspace/srv/net/udp/udp_inet.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/udp/udp_inet.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,6 +38,6 @@
 #include "udp_type.h"
 
-extern errno_t udp_inet_init(void);
-extern errno_t udp_transmit_pdu(udp_pdu_t *);
+extern int udp_inet_init(void);
+extern int udp_transmit_pdu(udp_pdu_t *);
 
 #endif
Index: uspace/srv/ns/clonable.c
===================================================================
--- uspace/srv/ns/clonable.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/clonable.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,5 +55,5 @@
 static list_t cs_req;
 
-errno_t clonable_init(void)
+int clonable_init(void)
 {
 	list_initialize(&cs_req);
@@ -128,7 +128,7 @@
 	
 	/* Spawn a loader. */
-	errno_t rc = loader_spawn("loader");
+	int rc = loader_spawn("loader");
 	
-	if (rc != EOK) {
+	if (rc < 0) {
 		free(csr);
 		async_answer_0(callid, rc);
Index: uspace/srv/ns/clonable.h
===================================================================
--- uspace/srv/ns/clonable.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/clonable.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,5 @@
 #include <stdbool.h>
 
-extern errno_t clonable_init(void);
+extern int clonable_init(void);
 
 extern bool service_clonable(service_t);
Index: uspace/srv/ns/ns.c
===================================================================
--- uspace/srv/ns/ns.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/ns.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -80,5 +80,5 @@
 		
 		task_id_t id;
-		errno_t retval;
+		sysarg_t retval;
 		
 		service_t service;
@@ -131,5 +131,5 @@
 	printf("%s: HelenOS IPC Naming Service\n", NAME);
 	
-	errno_t rc = service_init();
+	int rc = service_init();
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/ns/service.c
===================================================================
--- uspace/srv/ns/service.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/service.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -95,5 +95,5 @@
 static list_t pending_conn;
 
-errno_t service_init(void)
+int service_init(void)
 {
 	if (!hash_table_create(&service_hash_table, 0, 0,
@@ -139,5 +139,5 @@
  *
  */
-errno_t register_service(service_t service, sysarg_t phone, ipc_call_t *call)
+int register_service(service_t service, sysarg_t phone, ipc_call_t *call)
 {
 	if (hash_table_find(&service_hash_table, &service))
@@ -173,5 +173,5 @@
 	sysarg_t arg3 = IPC_GET_ARG3(*call);
 	sysarg_t flags = IPC_GET_ARG4(*call);
-	errno_t retval;
+	sysarg_t retval;
 	
 	ht_link_t *link = hash_table_find(&service_hash_table, &service);
Index: uspace/srv/ns/service.h
===================================================================
--- uspace/srv/ns/service.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/service.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,8 +38,8 @@
 #include <abi/ipc/interfaces.h>
 
-extern errno_t service_init(void);
+extern int service_init(void);
 extern void process_pending_conn(void);
 
-extern errno_t register_service(service_t, sysarg_t, ipc_call_t *);
+extern int register_service(service_t, sysarg_t, ipc_call_t *);
 extern void connect_to_service(service_t, iface_t, ipc_call_t *, ipc_callid_t);
 
Index: uspace/srv/ns/task.c
===================================================================
--- uspace/srv/ns/task.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/task.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -151,5 +151,5 @@
 static list_t pending_wait;
 
-errno_t task_init(void)
+int task_init(void)
 {
 	if (!hash_table_create(&task_hash_table, 0, 0, &task_hash_table_ops)) {
@@ -225,5 +225,5 @@
 }
 
-errno_t ns_task_id_intro(ipc_call_t *call)
+int ns_task_id_intro(ipc_call_t *call)
 {
 	task_id_t id = MERGE_LOUP32(IPC_GET_ARG1(*call), IPC_GET_ARG2(*call));
@@ -264,5 +264,5 @@
 }
 
-static errno_t get_id_by_phone(sysarg_t phone_hash, task_id_t *id)
+static int get_id_by_phone(sysarg_t phone_hash, task_id_t *id)
 {
 	ht_link_t *link = hash_table_find(&phone_to_id, &phone_hash);
@@ -276,5 +276,5 @@
 }
 
-errno_t ns_task_retval(ipc_call_t *call)
+int ns_task_retval(ipc_call_t *call)
 {
 	task_id_t id = call->in_task_id;
@@ -296,8 +296,8 @@
 }
 
-errno_t ns_task_disconnect(ipc_call_t *call)
+int ns_task_disconnect(ipc_call_t *call)
 {
 	task_id_t id;
-	errno_t rc = get_id_by_phone(call->in_phone_hash, &id);
+	int rc = get_id_by_phone(call->in_phone_hash, &id);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/ns/task.h
===================================================================
--- uspace/srv/ns/task.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/ns/task.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,12 +37,12 @@
 #include <abi/proc/task.h>
 
-extern errno_t task_init(void);
+extern int task_init(void);
 extern void process_pending_wait(void);
 
 extern void wait_for_task(task_id_t, ipc_call_t *, ipc_callid_t);
 
-extern errno_t ns_task_id_intro(ipc_call_t *);
-extern errno_t ns_task_disconnect(ipc_call_t *);
-extern errno_t ns_task_retval(ipc_call_t *);
+extern int ns_task_id_intro(ipc_call_t *);
+extern int ns_task_disconnect(ipc_call_t *);
+extern int ns_task_retval(ipc_call_t *);
 
 
Index: uspace/srv/taskmon/taskmon.c
===================================================================
--- uspace/srv/taskmon/taskmon.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/taskmon/taskmon.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
 	char *s_taskid;
 	char *dump_fname;
-	errno_t rc;
+	int rc;
 
 	task_id_t taskid;
@@ -148,8 +148,8 @@
 	async_set_fallback_port_handler(corecfg_client_conn, NULL);
 	
-	errno_t rc = loc_server_register(NAME);
+	int rc = loc_server_register(NAME);
 	if (rc != EOK) {
-		printf("%s: Failed registering server: %s.\n",
-		    NAME, str_error(rc));
+		printf("%s: Failed registering server (%d).\n",
+		    NAME, rc);
 		return -1;
 	}
@@ -158,6 +158,6 @@
 	rc = loc_service_register(SERVICE_NAME_CORECFG, &sid);
 	if (rc != EOK) {
-		printf("%s: Failed registering service: %s.\n",
-		    NAME, str_error(rc));
+		printf("%s: Failed registering service (%d).\n",
+		    NAME, rc);
 		return -1;
 	}
